summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
authorTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-12-12 15:16:46 +0000
committerTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-12-12 15:16:46 +0000
commit7dabb7ad3d4fa3a7bcac9a9a608b67375d77b95c (patch)
tree95104d6f6e236946ae99d14dc08159ebc8f81c92 /jenkins
parent7c37d54e884a93de9f5dc6b480daa42806448149 (diff)
onsuccess: #540: 0: [TCWG CI] https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/540/
Results : | # reset_artifacts: | -10 | # build_abe binutils: | -2 | # build_abe dejagnu: | -1 | # build_abe check_binutils --: | 0 check_regression status : 0
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log1367
-rw-r--r--jenkins/notify-init.log311
-rw-r--r--jenkins/run-build.env6
4 files changed, 245 insertions, 1441 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index d55c32b..2c00ec8 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#539-binutils-R0
+#540-binutils-R0
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index 30353b0..cd0e3e9 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_5/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -26,27 +26,27 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/538/
-# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/538/'
+# Baseline : https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/'
+ echo '# Using dir : base-artifacts'
+# Using dir : base-artifacts
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/
+# Artifacts : https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/540/
# Using dir : artifacts
-
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/'
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/540/'
+ echo '# Using dir : artifacts'
+ echo ''
+
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
+ set +x
+ case "$notify" in
+ declare -Ag pw
+# check_source_changes
+ '[' ignore = precommit ']'
+ check_source_changes
-# check_source_changes
+ echo '# check_source_changes'
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
@@ -77,7 +77,7 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ '[' xdff565fcca8137954d6ad571ef39f6aec5c0429c '!=' xe61ea34e74f1c29f320906c11300697d15b1a1c0 ']'
+++ '[' x80ffe7226459e3edf840d0c23462d93cb560d2de '!=' xdff565fcca8137954d6ad571ef39f6aec5c0429c ']'
++ echo -ne binutils
++ delim=' '
++ echo
@@ -90,17 +90,17 @@
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ first_bad=dff565fcca8137954d6ad571ef39f6aec5c0429c
++ first_bad=80ffe7226459e3edf840d0c23462d93cb560d2de
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ last_good=e61ea34e74f1c29f320906c11300697d15b1a1c0
++ last_good=dff565fcca8137954d6ad571ef39f6aec5c0429c
+ local res
+ res=0
-+ wait 109494
++ wait 94926
+ git -C binutils rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo binutils' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -114,22 +114,22 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=e61ea34e74f1c29f320906c11300697d15b1a1c0
++ base_rev=dff565fcca8137954d6ad571ef39f6aec5c0429c
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ git -C binutils rev-parse 'dff565fcca8137954d6ad571ef39f6aec5c0429c^@'
++ cur_rev=80ffe7226459e3edf840d0c23462d93cb560d2de
+++ git -C binutils rev-parse '80ffe7226459e3edf840d0c23462d93cb560d2de^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' e61ea34e74f1c29f320906c11300697d15b1a1c0 = e61ea34e74f1c29f320906c11300697d15b1a1c0 ']'
-+ return 0
-+ change_kind=single_commit
-# Debug traces :
-# change_kind=single_commit : binutils
++ '[' 52e0b52e6f2dc1dc5a7b95740d22fd616241db67 = dff565fcca8137954d6ad571ef39f6aec5c0429c ']'
++ return 1
++ change_kind=single_component
+ echo '# Debug traces :'
-+ echo '# change_kind=single_commit : binutils'
+# Debug traces :
+# change_kind=single_component : binutils
++ echo '# change_kind=single_component : binutils'
+ for c in "${changed_components[@]}"
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
@@ -137,18 +137,18 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=e61ea34e74f1c29f320906c11300697d15b1a1c0
++ base_rev=dff565fcca8137954d6ad571ef39f6aec5c0429c
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ git -C binutils rev-list --count e61ea34e74f1c29f320906c11300697d15b1a1c0..dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ c_commits=1
-+ echo '# rev for binutils : e61ea34e74f1c29f320906c11300697d15b1a1c0..dff565fcca8137954d6ad571ef39f6aec5c0429c (1 commits)'
-# rev for binutils : e61ea34e74f1c29f320906c11300697d15b1a1c0..dff565fcca8137954d6ad571ef39f6aec5c0429c (1 commits)
++ cur_rev=80ffe7226459e3edf840d0c23462d93cb560d2de
+++ git -C binutils rev-list --count dff565fcca8137954d6ad571ef39f6aec5c0429c..80ffe7226459e3edf840d0c23462d93cb560d2de
++ c_commits=5
+# rev for binutils : dff565fcca8137954d6ad571ef39f6aec5c0429c..80ffe7226459e3edf840d0c23462d93cb560d2de (5 commits)
++ echo '# rev for binutils : dff565fcca8137954d6ad571ef39f6aec5c0429c..80ffe7226459e3edf840d0c23462d93cb560d2de (5 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -176,924 +176,26 @@
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_commit '!=' single_commit ']'
-+ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ local refopt=
-+ case "$reference" in
-+ local ref_dir
-+ for ref_dir in $url $dir
-++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ for ref_dir in $url $dir
-++ basename interesting-commits .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ git -C interesting-commits status
-+ '[' -d interesting-commits ']'
-+ '[' x '!=' x ']'
-+ '[' -d interesting-commits ']'
-+ rm -f interesting-commits/.git/gc.log
-+ git -C interesting-commits config gc.autoDetach false
-+ git -C interesting-commits gc --auto --force --prune=all
-+ find interesting-commits/.git -name '*.lock' -delete
-+ local i
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits am --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits cherry-pick --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits rebase --abort
-+ true
-+ break
-+ '[' -d interesting-commits ']'
-+ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local remote=origin
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local single_branch=master
-+ git -C interesting-commits remote rm origin
-+ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local refspec
-+ '[' xmaster = x ']'
-+ refspec=+refs/heads/master:refs/remotes/origin/master
-+ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local duration=1h
-+ shift
-+ local tries=3
-+ shift
-+ local n=0
-+ local ret=0
-+ '[' 0 -eq 3 ']'
-+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ ret=0
-+ wait 109574
-+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 0 ']'
-+ break
-+ return 0
-+ git_checkout interesting-commits master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local remote=origin
-+ git_clean interesting-commits
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard
-+ local sha1
-++ git_rev_parse interesting-commits master origin
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ '[' 3 -ge 3 ']'
-++ remote=origin
-++ git_rev_parse_1 interesting-commits master origin --short
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ local opts=--short
-++ local ret
-++ cd interesting-commits
-++ local sha1 try_ref
-++ case "$ref" in
-++ try_ref=refs/remotes/origin/master
-++ ret=0
-+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=a4f84754ff
-++ '[' 0 -ne 0 ']'
-++ echo a4f84754ff
-+ sha1=a4f84754ff
-+ git -C interesting-commits checkout --detach a4f84754ff
-Warning: you are leaving 1 commit behind, not connected to
-any of your branches:
-
- 0428d340b3 Add entry dff565fcca8137954d6ad571ef39f6aec5c0429c from https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/
-
-If you want to keep it by creating a new branch, this may be a good time
-to do so with:
-
- git branch <new-branch-name> 0428d340b3
-
-HEAD is now at a4f84754ff Add entry a14d247f339454ef9068d24e64eeaeef282fec95 from https://ci.linaro.org/job/tcwg_gcc_check--master-aarch64-build/1335/
-+ false
-+ dryrun='echo DRYRUN: '
-+ local jira_dir jira_key=
-++ interesting_subdir binutils dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ local dir=binutils/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ jira_dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ jira_dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira
-+ '[' init = full ']'
-+ true
-+ git -C interesting-commits remote update -p
-Fetching origin
-+ git_clean interesting-commits refs/remotes/origin/master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard refs/remotes/origin/master
-# update_interesting_commits
-+ update_interesting_commits init ''
-+ echo '# update_interesting_commits'
-+ local stage=init
-+ local jira_key=
-+ local subdir3 subdir4 subdir4
-++ interesting_subdir binutils dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ local dir=binutils/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ subdir3=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ interesting_subdir binutils dff565fcca8137954d6ad571ef39f6aec5c0429c tcwg_binutils_check
-++ local dir=binutils/sha1
-++ '[' 3 -ge 2 ']'
-++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ '[' 3 -ge 3 ']'
-++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check
-++ '[' 3 -ge 4 ']'
-++ echo binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check
-+ subdir4=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check
-++ interesting_subdir binutils dff565fcca8137954d6ad571ef39f6aec5c0429c tcwg_binutils_check master-arm
-++ local dir=binutils/sha1
-++ '[' 4 -ge 2 ']'
-++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ '[' 4 -ge 3 ']'
-++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check
-++ '[' 4 -ge 4 ']'
-++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm
-++ echo binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm
-+ subdir5=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm
-+ local url=
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ url=https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts
-+ '[' -d interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c ']'
-+ mkdir -p interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ echo https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts
-+ git -C interesting-commits add binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/first_url
-+ mkdir -p interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm
-+ echo https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts
-+ echo e61ea34e74f1c29f320906c11300697d15b1a1c0
-+ git -C interesting-commits add binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/build_url binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/last_good
-+ '[' init '!=' full ']'
++ '[' single_component '!=' single_commit ']'
+ return
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ git -C interesting-commits commit -m 'Add entry dff565fcca8137954d6ad571ef39f6aec5c0429c from https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/'
-[detached HEAD 13064fe29a] Add entry dff565fcca8137954d6ad571ef39f6aec5c0429c from https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/
- 3 files changed, 3 insertions(+)
- create mode 100644 binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/first_url
- create mode 100644 binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/build_url
- create mode 100644 binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/last_good
-+ wait 123389
-+ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-+ break
+ '[' full '!=' full ']'
+ gnu_generate_extra_details
+ set -euf -o pipefail
+ '[' -d artifacts/sumfiles ']'
-+ wait 123391
++ wait 94950
+ gcc-compare-results/compare_tests -compr none -pass-thresh 0.9 base-artifacts/sumfiles artifacts/sumfiles
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xsingle_commit '!=' xsingle_commit ']'
-+ local isubdir
-++ interesting_subdir binutils dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ local dir=binutils/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ isubdir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ '[' -f interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/first_url ']'
-+ local first_url
-++ cat interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/first_url
-+ first_url=https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ '[' https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts = https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts ']'
-+ first_icommit_to_report=true
++ '[' xsingle_component '!=' xsingle_commit ']'
++ return
+ post_interesting_commits full
+ set -euf -o pipefail
-+ echo '# post_interesting_commits'
# post_interesting_commits
++ echo '# post_interesting_commits'
+ local stage=full
-+ '[' single_commit '!=' single_commit ']'
-+ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ local refopt=
-+ case "$reference" in
-+ local ref_dir
-+ for ref_dir in $url $dir
-++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ for ref_dir in $url $dir
-++ basename interesting-commits .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ git -C interesting-commits status
-+ '[' -d interesting-commits ']'
-+ '[' x '!=' x ']'
-+ '[' -d interesting-commits ']'
-+ rm -f interesting-commits/.git/gc.log
-+ git -C interesting-commits config gc.autoDetach false
-+ git -C interesting-commits gc --auto --force --prune=all
-+ find interesting-commits/.git -name '*.lock' -delete
-+ local i
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits am --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits cherry-pick --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits rebase --abort
-+ true
-+ break
-+ '[' -d interesting-commits ']'
-+ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local remote=origin
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local single_branch=master
-+ git -C interesting-commits remote rm origin
-+ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local refspec
-+ '[' xmaster = x ']'
-+ refspec=+refs/heads/master:refs/remotes/origin/master
-+ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local duration=1h
-+ shift
-+ local tries=3
-+ shift
-+ local n=0
-+ local ret=0
-+ '[' 0 -eq 3 ']'
-+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ ret=0
-+ wait 123508
-+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 0 ']'
-+ break
-+ return 0
-+ git_checkout interesting-commits master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local remote=origin
-+ git_clean interesting-commits
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard
-+ local sha1
-++ git_rev_parse interesting-commits master origin
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ '[' 3 -ge 3 ']'
-++ remote=origin
-++ git_rev_parse_1 interesting-commits master origin --short
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ local opts=--short
-++ local ret
-++ cd interesting-commits
-++ local sha1 try_ref
-++ case "$ref" in
-++ try_ref=refs/remotes/origin/master
-++ ret=0
-+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=a4f84754ff
-++ '[' 0 -ne 0 ']'
-++ echo a4f84754ff
-+ sha1=a4f84754ff
-+ git -C interesting-commits checkout --detach a4f84754ff
-Warning: you are leaving 1 commit behind, not connected to
-any of your branches:
-
- 13064fe29a Add entry dff565fcca8137954d6ad571ef39f6aec5c0429c from https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/
-
-If you want to keep it by creating a new branch, this may be a good time
-to do so with:
-
- git branch <new-branch-name> 13064fe29a
-
-HEAD is now at a4f84754ff Add entry a14d247f339454ef9068d24e64eeaeef282fec95 from https://ci.linaro.org/job/tcwg_gcc_check--master-aarch64-build/1335/
-+ false
-+ dryrun='echo DRYRUN: '
-+ local jira_dir jira_key=
-++ interesting_subdir binutils dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ local dir=binutils/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ jira_dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ jira_dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira
-+ '[' full = full ']'
-+ false
-+ true
-+ git -C interesting-commits remote update -p
-Fetching origin
-+ git_clean interesting-commits refs/remotes/origin/master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard refs/remotes/origin/master
-# update_interesting_commits
-+ update_interesting_commits full ''
-+ echo '# update_interesting_commits'
-+ local stage=full
-+ local jira_key=
-+ local subdir3 subdir4 subdir4
-++ interesting_subdir binutils dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ local dir=binutils/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ subdir3=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ interesting_subdir binutils dff565fcca8137954d6ad571ef39f6aec5c0429c tcwg_binutils_check
-++ local dir=binutils/sha1
-++ '[' 3 -ge 2 ']'
-++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ '[' 3 -ge 3 ']'
-++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check
-++ '[' 3 -ge 4 ']'
-++ echo binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check
-+ subdir4=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check
-++ interesting_subdir binutils dff565fcca8137954d6ad571ef39f6aec5c0429c tcwg_binutils_check master-arm
-++ local dir=binutils/sha1
-++ '[' 4 -ge 2 ']'
-++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ '[' 4 -ge 3 ']'
-++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check
-++ '[' 4 -ge 4 ']'
-++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm
-++ echo binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm
-+ subdir5=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm
-+ local url=
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ url=https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts
-+ '[' -d interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c ']'
-+ mkdir -p interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ echo https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts
-+ git -C interesting-commits add binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/first_url
-+ mkdir -p interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm
-+ echo https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts
-+ echo e61ea34e74f1c29f320906c11300697d15b1a1c0
-+ git -C interesting-commits add binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/build_url binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/last_good
-+ '[' full '!=' full ']'
-+ gnu_print_result --oneline
-+ false
-+ local print_arg=--oneline
-+ '[' -d artifacts/sumfiles ']'
-+ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
-+ local xfails=artifacts/sumfiles/xfails.xfail
-+ '[' -f artifacts/sumfiles/xfails.xfail ']'
-+ wait 137273
-+ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231212 --build_dir=artifacts/sumfiles --verbosity=1
-+ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231212 --build_dir=artifacts/sumfiles --verbosity=1
-+ wait 137274
-+ local n_regressions n_progressions pass_fail=PASS
-+ '[' 0 '!=' 0 ']'
-++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
-++ true
-+ n_regressions=0
-++ grep -c '^[A-Z]\+:' artifacts/notify/progressions.sum
-++ true
-+ n_progressions=0
-+ printf PASS
-+ '[' 0 '!=' 0 ']'
-+ rm artifacts/notify/regressions.sum
-+ '[' 0 '!=' 0 ']'
-+ rm artifacts/notify/progressions.sum
-+ printf '\n'
-+ '[' --oneline = --oneline ']'
-+ return 0
-+ merge_status_summary interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check
-+ set -euf -o pipefail
-+ local subdir=interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check
-+ local cur_file cur best= best_file
-+ read -r cur_file
-++ find interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check -mindepth 2 -maxdepth 2 -name status-summary.txt
-++ sort
-++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/status-summary.txt
-+ cur=PASS
-+ '[' PASS -le '' ']'
-/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh: line 1069: [: PASS: integer expression expected
-+ best=PASS
-+ best_file=interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/status-summary.txt
-+ read -r cur_file
-+ cat interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/status-summary.txt
-+ merge_status_summary interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ set -euf -o pipefail
-+ local subdir=interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ local cur_file cur best= best_file
-+ read -r cur_file
-++ find interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c -mindepth 2 -maxdepth 2 -name status-summary.txt
-++ sort
-++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/status-summary.txt
-+ cur=PASS
-+ '[' PASS -le '' ']'
-/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh: line 1069: [: PASS: integer expression expected
-+ best=PASS
-+ best_file=interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/status-summary.txt
-+ read -r cur_file
-+ cat interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/status-summary.txt
-+ git -C interesting-commits add binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/status-summary.txt binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/status-summary.txt binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/status-summary.txt
-+ gnu_print_result --long
-+ false
-+ local print_arg=--long
-+ '[' -d artifacts/sumfiles ']'
-+ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
-+ local xfails=artifacts/sumfiles/xfails.xfail
-+ '[' -f artifacts/sumfiles/xfails.xfail ']'
-+ wait 137314
-+ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231212 --build_dir=artifacts/sumfiles --verbosity=1
-+ wait 137315
-+ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231212 --build_dir=artifacts/sumfiles --verbosity=1
-+ local n_regressions n_progressions pass_fail=PASS
-+ '[' 0 '!=' 0 ']'
-++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
-++ true
-+ n_regressions=0
-++ grep -c '^[A-Z]\+:' artifacts/notify/progressions.sum
-++ true
-+ n_progressions=0
-+ printf PASS
-+ '[' 0 '!=' 0 ']'
-+ rm artifacts/notify/regressions.sum
-+ '[' 0 '!=' 0 ']'
-+ rm artifacts/notify/progressions.sum
-+ printf '\n'
-+ '[' --long = --oneline ']'
-+ local length=10 outfile n_lines
-+ '[' --long = --long ']'
-+ length=-0
-+ for outfile in regressions.sum progressions.sum
-+ '[' -f artifacts/notify/regressions.sum ']'
-+ continue
-+ for outfile in regressions.sum progressions.sum
-+ '[' -f artifacts/notify/progressions.sum ']'
-+ continue
-+ cat
-++ print_artifacts_url 00-sumfiles/
-++ set -euf -o pipefail
-++ local url
-+++ get_current_manifest BUILD_URL
-+++ get_manifest artifacts/manifest.sh BUILD_URL
-+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts
-++ '[' '' '!=' '' ']'
-++ echo https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts/00-sumfiles/
-++ print_artifacts_url notify/
-++ set -euf -o pipefail
-++ local url
-+++ get_current_manifest BUILD_URL
-+++ get_manifest artifacts/manifest.sh BUILD_URL
-+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts
-++ '[' '' '!=' '' ']'
-++ echo https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts/notify/
-++ print_artifacts_url sumfiles/xfails.xfail
-++ set -euf -o pipefail
-++ local url
-+++ get_current_manifest BUILD_URL
-+++ get_manifest artifacts/manifest.sh BUILD_URL
-+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts
-++ '[' '' '!=' '' ']'
-++ echo https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts/sumfiles/xfails.xfail
-+ cat interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/status-summary.txt
-+ sed 's/^/* /'
-+ print_icommits_link binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/details.txt
-+ set -euf -o pipefail
-+ local path=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/details.txt
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/details.txt
-+ cat interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/build_url
-+ git -C interesting-commits add binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/details.txt binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/status.txt
-+ '[' -f interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/summary.txt ']'
-+ local bad_artifacts_url good_artifacts_url
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts
-++ get_baseline_manifest BUILD_URL
-++ get_manifest base-artifacts/manifest.sh BUILD_URL false
-++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/538/artifact/artifacts
-+ cat
-+ git -C interesting-commits add binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/reproduction_instructions.txt
-+ local ci_config
-+ read ci_config
-++ cd interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check
-++ ls
-+ '[' -f interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/summary.txt ']'
-+ '[' -f interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/status.txt ']'
-+ echo '* master-arm'
-+ cat interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/status.txt
-+ sed 's/^/*/'
-+ read ci_config
-+ '[' -f interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/status-summary.txt/summary.txt ']'
-+ '[' -f interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/status-summary.txt/status.txt ']'
-+ continue
-+ read ci_config
-+ '[' -f interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/status.txt/summary.txt ']'
-+ '[' -f interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/status.txt/status.txt ']'
-+ continue
-+ read ci_config
-+ git -C interesting-commits add binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/status.txt
-+ local ci_project
-+ read ci_project
-++ cd interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ ls
-+ '[' -f interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/first_url/status.txt ']'
-+ continue
-+ read ci_project
-+ '[' -f interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/status-summary.txt/status.txt ']'
-+ continue
-+ read ci_project
-+ '[' -f interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/status.txt/status.txt ']'
-+ continue
-+ read ci_project
-+ '[' -f interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/status.txt ']'
-+ echo '* tcwg_binutils_check'
-+ cat interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/status.txt
-+ sed 's/^/*/'
-+ read ci_project
-+ git -C interesting-commits add binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/status.txt
-+ print_commits --short
-+ set -euf -o pipefail
-+ false
-+ local print_arg=--short
-+ '[' single_commit = no_change ']'
-+ local more_lines
-+ '[' single_commit = single_commit ']'
-+ local c=binutils
-+ '[' --short = --link ']'
-+ local describe
-+ '[' '' = '' ']'
-++ describe_sha1 binutils dff565fcca8137954d6ad571ef39f6aec5c0429c true
-++ local component=binutils
-++ local sha1=dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ local anything=true
-++ match=()
-++ local -a match
-++ case "$component" in
-++ match=(--match "binutils*")
-++ git -C binutils describe --match 'binutils*' dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ describe=binutils-2_41-release-1430-gdff565fcca8
-++ echo binutils-2_41-release-1430-gdff565fcca8
-++ sed 's,^basepoints/,,'
-+ describe=binutils-2_41-release-1430-gdff565fcca8
-+ '[' --short = --oneline ']'
-+ '[' '' = '' ']'
-+ echo 'commit binutils-2_41-release-1430-gdff565fcca8'
-+ local tmpfile
-++ mktemp
-+ tmpfile=/tmp/tmp.9he3yAisKH
-+ git -C binutils log -n1 dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ tail -n +2
-+ head -n 10 /tmp/tmp.9he3yAisKH
-++ cat /tmp/tmp.9he3yAisKH
-++ wc -l
-+ more_lines=28
-+ '[' 28 -gt 0 ']'
-+ echo '... 28 lines of the commit log omitted.'
-+ rm /tmp/tmp.9he3yAisKH
-+ '[' '' '!=' '' ']'
-+ return 0
-+ git -C interesting-commits add binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/commit-log.txt
-+ true
-+ local jira_dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira
-+ '[' -f interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira/key ']'
-+ '[' -e interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira ']'
-+ mkdir interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira
-+ '[' '' '!=' '' ']'
-++ print_commits --oneline
-++ set -euf -o pipefail
-++ false
-++ local print_arg=--oneline
-++ '[' single_commit = no_change ']'
-++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=binutils
-++ '[' --oneline = --link ']'
-++ local describe
-++ '[' '' = '' ']'
-+++ describe_sha1 binutils dff565fcca8137954d6ad571ef39f6aec5c0429c true
-+++ local component=binutils
-+++ local sha1=dff565fcca8137954d6ad571ef39f6aec5c0429c
-+++ local anything=true
-+++ match=()
-+++ local -a match
-+++ case "$component" in
-+++ match=(--match "binutils*")
-+++ git -C binutils describe --match 'binutils*' dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ describe=binutils-2_41-release-1430-gdff565fcca8
-+++ echo binutils-2_41-release-1430-gdff565fcca8
-+++ sed 's,^basepoints/,,'
-++ describe=binutils-2_41-release-1430-gdff565fcca8
-++ '[' --oneline = --oneline ']'
-++ echo binutils-2_41-release-1430-gdff565fcca8
-++ return 0
-++ cat interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/status-summary.txt
-+ echo binutils-2_41-release-1430-gdff565fcca8: PASS
-+ git -C interesting-commits add binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira/summary
-+ cat
-++ print_commits --link
-++ set -euf -o pipefail
-++ false
-++ local print_arg=--link
-++ '[' single_commit = no_change ']'
-++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=binutils
-++ '[' --link = --link ']'
-++ local url
-+++ get_baseline_git binutils_url
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No binutils_url in baseline git' '[' -f base-artifacts/git/binutils_url ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/binutils_url
-++ url=git://sourceware.org/git/binutils-gdb.git
-++ [[ git://sourceware.org/git/binutils-gdb.git =~ git://sourceware.org/git/ ]]
-++ url=binutils-gdb.git
-++ url='https://sourceware.org/git/?p=binutils-gdb.git'
-++ echo 'https://sourceware.org/git/?p=binutils-gdb.git;a=commitdiff;h=dff565fcca8137954d6ad571ef39f6aec5c0429c'
-++ return 0
-++ cat interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/commit-log.txt
-++ cat interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/status.txt
-++ print_icommits_link binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira/yaml
-++ set -euf -o pipefail
-++ local path=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira/yaml
-++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira/yaml
-+ git -C interesting-commits add binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira/description
-+ update_jira_card
-+ set -euf -o pipefail
-+ echo '# update_jira_card'
-# update_jira_card
-+ local jira_dir
-++ interesting_subdir binutils dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ local dir=binutils/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ jira_dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ jira_dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira
-+ components=()
-+ local -a components
-+ case "$changed_single_component" in
-+ components+=(Binutils)
-+ IFS=,
-+ echo Binutils
-+ git -C interesting-commits add binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira/components
-+ local commit_date
-++ git -C binutils log -n1 --pretty=%cd --date=iso dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ commit_date='2023-12-12 17:04:23 +0800'
-+ date -d '2023-12-12 17:04:23 +0800' +%Y-%m-%d
-+ git -C interesting-commits add binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira/startdate
-+ local key project
-++ print_jira_card_key
-++ set -euf -o pipefail
-++ local jira_dir
-+++ interesting_subdir binutils dff565fcca8137954d6ad571ef39f6aec5c0429c
-+++ local dir=binutils/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ jira_dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ jira_dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira
-++ '[' -f interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira/key ']'
-++ return 0
-+ key=
-+ '[' -z '' ']'
-+ echo 'WARNING: no existing jira card interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira/key'
-WARNING: no existing jira card interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira/key
-+ return 0
-+ local describe
-++ describe_sha1 binutils dff565fcca8137954d6ad571ef39f6aec5c0429c false
-++ local component=binutils
-++ local sha1=dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ local anything=false
-++ match=()
-++ local -a match
-++ case "$component" in
-++ match=(--match "binutils*")
-++ git -C binutils describe --match 'binutils*' dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ describe=binutils-2_41-release-1430-gdff565fcca8
-+ '[' binutils-2_41-release-1430-gdff565fcca8 '!=' '' ']'
-+ local d
-++ dirname binutils-2_41-release-1430-gdff565fcca8
-+ d=.
-+ mkdir -p interesting-commits/binutils/.
-+ local symlink=
-+ '[' . '!=' . ']'
-+ symlink=sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ rm -f interesting-commits/binutils/binutils-2_41-release-1430-gdff565fcca8
-+ ln -s sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c interesting-commits/binutils/binutils-2_41-release-1430-gdff565fcca8
-+ git -C interesting-commits add binutils/binutils-2_41-release-1430-gdff565fcca8
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ git -C interesting-commits commit -m 'Add entry dff565fcca8137954d6ad571ef39f6aec5c0429c from https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/'
-[detached HEAD 773c38ceb3] Add entry dff565fcca8137954d6ad571ef39f6aec5c0429c from https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/
- 17 files changed, 78 insertions(+)
- create mode 120000 binutils/binutils-2_41-release-1430-gdff565fcca8
- create mode 100644 binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/commit-log.txt
- create mode 100644 binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/first_url
- create mode 100644 binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira/components
- create mode 100644 binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira/description
- create mode 100644 binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira/startdate
- create mode 100644 binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira/summary
- create mode 100644 binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/status-summary.txt
- create mode 100644 binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/status.txt
- create mode 100644 binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/build_url
- create mode 100644 binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/details.txt
- create mode 100644 binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/last_good
- create mode 100644 binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/reproduction_instructions.txt
- create mode 100644 binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/status-summary.txt
- create mode 100644 binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/status.txt
- create mode 100644 binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/status-summary.txt
- create mode 100644 binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/status.txt
-+ wait 137691
-+ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-+ break
++ '[' single_component '!=' single_commit ']'
++ return
+ true
+ generate_jira_dir
+ set -euf -o pipefail
@@ -1103,23 +205,11 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ set -euf -o pipefail
++ local print_arg=--entry
++ shift 1
-++ '[' xsingle_commit '!=' xsingle_commit ']'
-++ local isubdir
-+++ interesting_subdir binutils dff565fcca8137954d6ad571ef39f6aec5c0429c
-+++ local dir=binutils/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ isubdir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ case "$print_arg" in
-++ echo interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ icommit_entry=interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ '[' interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c '!=' '' ']'
-+ '[' -d interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira ']'
-+ rsync -a interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira/ artifacts/notify/jira/
-+ '[' -f artifacts/notify/jira/key ']'
+++ '[' xsingle_component '!=' xsingle_commit ']'
+++ return 0
++ icommit_entry=
++ '[' '' '!=' '' ']'
++ mkdir -p artifacts/notify/jira
+ '[' '' '!=' '' ']'
+ cat
++ print_jira_template_card
@@ -1133,9 +223,9 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 137702
+++ wait 95007
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231212 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 137703
+++ wait 95008
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231212 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
@@ -1159,9 +249,9 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/540/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts/notify/mail-body.txt/*view*/'
+++ echo 'https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/540/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
+ echo '# print all notification files'
+ true
@@ -1184,15 +274,23 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=e61ea34e74f1c29f320906c11300697d15b1a1c0
++ base_rev=dff565fcca8137954d6ad571ef39f6aec5c0429c
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=dff565fcca8137954d6ad571ef39f6aec5c0429c
++ cur_rev=80ffe7226459e3edf840d0c23462d93cb560d2de
++ read -r email
+++ git -C binutils log --pretty=%ae dff565fcca8137954d6ad571ef39f6aec5c0429c..80ffe7226459e3edf840d0c23462d93cb560d2de
++ emails["$email"]=cc
++ read -r email
++ emails["$email"]=cc
++ read -r email
++ emails["$email"]=cc
++ read -r email
++ emails["$email"]=cc
+ read -r email
-++ git -C binutils log --pretty=%ae e61ea34e74f1c29f320906c11300697d15b1a1c0..dff565fcca8137954d6ad571ef39f6aec5c0429c
+ emails["$email"]=cc
+ read -r email
+ local precommit_postcommit=postcommit
@@ -1203,15 +301,23 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=e61ea34e74f1c29f320906c11300697d15b1a1c0
++ base_rev=dff565fcca8137954d6ad571ef39f6aec5c0429c
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=dff565fcca8137954d6ad571ef39f6aec5c0429c
++ cur_rev=80ffe7226459e3edf840d0c23462d93cb560d2de
++ read -r email
+++ git -C binutils log --pretty=%ce dff565fcca8137954d6ad571ef39f6aec5c0429c..80ffe7226459e3edf840d0c23462d93cb560d2de
++ emails["$email"]=to
++ read -r email
++ emails["$email"]=to
++ read -r email
++ emails["$email"]=to
++ read -r email
++ emails["$email"]=to
+ read -r email
-++ git -C binutils log --pretty=%ce e61ea34e74f1c29f320906c11300697d15b1a1c0..dff565fcca8137954d6ad571ef39f6aec5c0429c
+ emails["$email"]=to
+ read -r email
+ unset 'emails[author]' 'emails[committer]'
@@ -1235,38 +341,62 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ case "$type" in
+ recipients+=("$email")
+ for email in "${!emails[@]}"
++ type=to
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$email")
++ for email in "${!emails[@]}"
++ type=cc
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$type:$email")
++ for email in "${!emails[@]}"
++ type=to
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$email")
++ for email in "${!emails[@]}"
+ type=cc
+ case "$precommit_postcommit:$type" in
+ case "$type" in
+ recipients+=("$type:$email")
+ IFS=,
-+ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,nelson@rivosinc.com,cc:lifang_xia@linux.alibaba.com
++ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,nickc@redhat.com,ssbssa@yahoo.de,cc:avr@gjlay.de,nelson@rivosinc.com,cc:rui314@gmail.com
++ print_commits --oneline
++ set -euf -o pipefail
++ false
++ local print_arg=--oneline
-++ '[' single_commit = no_change ']'
+++ '[' single_component = no_change ']'
++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=binutils
-++ '[' --oneline = --link ']'
-++ local describe
-++ '[' '' = '' ']'
-+++ describe_sha1 binutils dff565fcca8137954d6ad571ef39f6aec5c0429c true
-+++ local component=binutils
-+++ local sha1=dff565fcca8137954d6ad571ef39f6aec5c0429c
-+++ local anything=true
-+++ match=()
-+++ local -a match
-+++ case "$component" in
-+++ match=(--match "binutils*")
-+++ git -C binutils describe --match 'binutils*' dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ describe=binutils-2_41-release-1430-gdff565fcca8
-+++ echo binutils-2_41-release-1430-gdff565fcca8
-+++ sed 's,^basepoints/,,'
-++ describe=binutils-2_41-release-1430-gdff565fcca8
+++ '[' single_component = single_commit ']'
+++ '[' single_component = single_component ']'
+++ local new_commits c base_rev cur_rev c_commits components
+++ local commits_or_patches
+++ '[' '' '!=' '' ']'
+++ commits_or_patches=commits
+++ new_commits=0
+++ for c in "${changed_components[@]}"
++++ get_baseline_git binutils_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/binutils_rev
+++ base_rev=dff565fcca8137954d6ad571ef39f6aec5c0429c
++++ get_current_git binutils_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/binutils_rev
+++ cur_rev=80ffe7226459e3edf840d0c23462d93cb560d2de
++++ git -C binutils rev-list --count dff565fcca8137954d6ad571ef39f6aec5c0429c..80ffe7226459e3edf840d0c23462d93cb560d2de
+++ c_commits=5
+++ new_commits=5
++++ echo binutils
++++ tr ' ' ,
+++ components=binutils
+++ echo '5 commits in binutils'
++ '[' --oneline = --oneline ']'
-++ echo binutils-2_41-release-1430-gdff565fcca8
++ return 0
++ gnu_print_result --oneline
++ false
@@ -1275,10 +405,10 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 137751
+++ wait 95064
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231212 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 95065
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231212 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 137752
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -1297,7 +427,7 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ return 0
++ gnu_print_config --oneline
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_5/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_binutils_check master-arm
++ local project=tcwg_binutils_check
@@ -1320,48 +450,25 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ case "$print_arg" in
++ case "$ci_config" in
++ echo arm
-+ echo '[Linaro-TCWG-CI]' 'binutils-2_41-release-1430-gdff565fcca8: PASS on arm'
++ echo '[Linaro-TCWG-CI]' '5 commits in binutils: PASS on arm'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/540/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/538/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts
+ local key=
-+ '[' single_commit = single_commit ']'
-+ '[' '' = '' ']'
-++ print_jira_card_key
-++ set -euf -o pipefail
-++ local jira_dir
-+++ interesting_subdir binutils dff565fcca8137954d6ad571ef39f6aec5c0429c
-+++ local dir=binutils/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ jira_dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ jira_dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira
-++ '[' -f interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira/key ']'
-++ return 0
-+ key=
-+ '[' -z '' ']'
-++ print_jira_template_card
-++ local jira_card=GNU-692
-++ case "$ci_project/$ci_config:$changed_single_component" in
-++ echo GNU-692
-+ key=GNU-692
-+ cat
-+ '[' GNU-692 '!=' '' ']'
++ '[' single_component = single_commit ']'
+ cat
++ '[' '' '!=' '' ']'
+ cat
++ gnu_print_config --short
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_5/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_binutils_check master-arm
++ local project=tcwg_binutils_check
@@ -1384,41 +491,56 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ set -euf -o pipefail
++ false
++ local print_arg=--short
-++ '[' single_commit = no_change ']'
+++ '[' single_component = no_change ']'
++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=binutils
-++ '[' --short = --link ']'
-++ local describe
-++ '[' '' = '' ']'
-+++ describe_sha1 binutils dff565fcca8137954d6ad571ef39f6aec5c0429c true
-+++ local component=binutils
-+++ local sha1=dff565fcca8137954d6ad571ef39f6aec5c0429c
-+++ local anything=true
-+++ match=()
-+++ local -a match
-+++ case "$component" in
-+++ match=(--match "binutils*")
-+++ git -C binutils describe --match 'binutils*' dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ describe=binutils-2_41-release-1430-gdff565fcca8
-+++ echo binutils-2_41-release-1430-gdff565fcca8
-+++ sed 's,^basepoints/,,'
-++ describe=binutils-2_41-release-1430-gdff565fcca8
+++ '[' single_component = single_commit ']'
+++ '[' single_component = single_component ']'
+++ local new_commits c base_rev cur_rev c_commits components
+++ local commits_or_patches
+++ '[' '' '!=' '' ']'
+++ commits_or_patches=commits
+++ new_commits=0
+++ for c in "${changed_components[@]}"
++++ get_baseline_git binutils_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/binutils_rev
+++ base_rev=dff565fcca8137954d6ad571ef39f6aec5c0429c
++++ get_current_git binutils_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/binutils_rev
+++ cur_rev=80ffe7226459e3edf840d0c23462d93cb560d2de
++++ git -C binutils rev-list --count dff565fcca8137954d6ad571ef39f6aec5c0429c..80ffe7226459e3edf840d0c23462d93cb560d2de
+++ c_commits=5
+++ new_commits=5
++++ echo binutils
++++ tr ' ' ,
+++ components=binutils
+++ echo '5 commits in binutils'
++ '[' --short = --oneline ']'
-++ '[' '' = '' ']'
-++ echo 'commit binutils-2_41-release-1430-gdff565fcca8'
-++ local tmpfile
-+++ mktemp
-++ tmpfile=/tmp/tmp.sEXYbOwBKK
-++ git -C binutils log -n1 dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ tail -n +2
-++ head -n 10 /tmp/tmp.sEXYbOwBKK
-+++ cat /tmp/tmp.sEXYbOwBKK
-+++ wc -l
-++ more_lines=28
-++ '[' 28 -gt 0 ']'
-++ echo '... 28 lines of the commit log omitted.'
-++ rm /tmp/tmp.sEXYbOwBKK
+++ for c in "${changed_components[@]}"
++++ get_baseline_git binutils_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/binutils_rev
+++ base_rev=dff565fcca8137954d6ad571ef39f6aec5c0429c
++++ get_current_git binutils_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/binutils_rev
+++ cur_rev=80ffe7226459e3edf840d0c23462d93cb560d2de
++++ git -C binutils rev-list --count dff565fcca8137954d6ad571ef39f6aec5c0429c..80ffe7226459e3edf840d0c23462d93cb560d2de
+++ c_commits=5
+++ '[' '' '!=' '' ']'
+++ git -C binutils log -n 5 --oneline dff565fcca8137954d6ad571ef39f6aec5c0429c..80ffe7226459e3edf840d0c23462d93cb560d2de
+++ '[' 5 -gt 5 ']'
++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
@@ -1428,9 +550,9 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 137810
+++ wait 95129
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231212 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 137811
+++ wait 95130
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231212 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
@@ -1462,30 +584,30 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/540/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts/00-sumfiles/
++++ echo https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/540/artifact/artifacts/00-sumfiles/
+++ print_artifacts_url notify/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/540/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts/notify/
++++ echo https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/540/artifact/artifacts/notify/
+++ print_artifacts_url sumfiles/xfails.xfail
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/540/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts/sumfiles/xfails.xfail
++++ echo https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/540/artifact/artifacts/sumfiles/xfails.xfail
++ gnu_print_config --long
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_5/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_binutils_check master-arm
++ local project=tcwg_binutils_check
@@ -1503,78 +625,15 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'CI config tcwg_binutils_check master-arm'
-+ '[' single_commit '!=' single_commit ']'
-+ '[' '' '!=' '' ']'
-+ cat
-++ print_last_icommit --reproduction_instructions_link tcwg_binutils_check master-arm
-++ false
-++ set -euf -o pipefail
-++ local print_arg=--reproduction_instructions_link
-++ shift 1
-++ '[' xsingle_commit '!=' xsingle_commit ']'
-++ local isubdir
-+++ interesting_subdir binutils dff565fcca8137954d6ad571ef39f6aec5c0429c tcwg_binutils_check master-arm
-+++ local dir=binutils/sha1
-+++ '[' 4 -ge 2 ']'
-+++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+++ '[' 4 -ge 3 ']'
-+++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check
-+++ '[' 4 -ge 4 ']'
-+++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm
-+++ echo binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm
-++ isubdir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm
-++ case "$print_arg" in
-++ print_icommits_link binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/reproduction_instructions.txt
-++ set -euf -o pipefail
-++ local path=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/reproduction_instructions.txt
-++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/reproduction_instructions.txt
-++ print_commits --link
-++ set -euf -o pipefail
-++ false
-++ local print_arg=--link
-++ '[' single_commit = no_change ']'
-++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=binutils
-++ '[' --link = --link ']'
-++ local url
-+++ get_baseline_git binutils_url
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No binutils_url in baseline git' '[' -f base-artifacts/git/binutils_url ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/binutils_url
-++ url=git://sourceware.org/git/binutils-gdb.git
-++ [[ git://sourceware.org/git/binutils-gdb.git =~ git://sourceware.org/git/ ]]
-++ url=binutils-gdb.git
-++ url='https://sourceware.org/git/?p=binutils-gdb.git'
-++ echo 'https://sourceware.org/git/?p=binutils-gdb.git;a=commitdiff;h=dff565fcca8137954d6ad571ef39f6aec5c0429c'
-++ return 0
-++ print_last_icommit --status
-++ false
-++ set -euf -o pipefail
-++ local print_arg=--status
-++ shift 1
-++ '[' xsingle_commit '!=' xsingle_commit ']'
-++ local isubdir
-+++ interesting_subdir binutils dff565fcca8137954d6ad571ef39f6aec5c0429c
-+++ local dir=binutils/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ isubdir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ case "$print_arg" in
-++ cat interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/status.txt
++ '[' single_component '!=' single_commit ']'
++ return
+ true
+ generate_jenkins_html_files
-+ wait 137869
++ wait 95173
+ set -euf -o pipefail
-+ echo '# generate_jenkins_html_files'
# generate_jenkins_html_files
... Skipping
++ echo '# generate_jenkins_html_files'
+ true
+ case "$ci_project" in
+ echo '... Skipping'
@@ -1746,13 +805,13 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ set -euf -o pipefail
+ local text_type=txt
+ case $text_type in
++ echo '# generate dashboard'
# generate dashboard
++ generate_dashboard_squad
# generate_dashboard_squad
... Skipping
# post_dashboard_squad
... Skipping
-+ echo '# generate dashboard'
-+ generate_dashboard_squad
+ local results_date
+ echo '# generate_dashboard_squad'
+ false
@@ -1764,13 +823,13 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 137923
++ wait 95227
+ set -euf -o pipefail
+# generate_lnt_report
+ local results_date
+ echo '# generate_lnt_report'
-# generate_lnt_report
+ true
-+ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/lnt-utils.sh
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_5/jenkins-scripts/lnt-utils.sh
+ calculate_results_date
+ set -euf -o pipefail
+ local c base_d cur_d results_date=0
@@ -1784,51 +843,51 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ assert_with_msg 'ERROR: No binutils in current git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ git -C binutils show --no-patch --pretty=%ct e61ea34e74f1c29f320906c11300697d15b1a1c0
-+ base_d=1702339214
+++ git -C binutils show --no-patch --pretty=%ct dff565fcca8137954d6ad571ef39f6aec5c0429c
++ base_d=1702371863
++ get_current_component_date binutils
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
-++ git -C binutils show --no-patch --pretty=%ct dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ cur_d=1702371863
-+ '[' x1702339214 '!=' x ']'
-+ '[' x1702371863 = x ']'
-+ '[' 1702371863 -lt 1702339214 ']'
-+ '[' x1702371863 = x ']'
-+ '[' 1702371863 -gt 0 ']'
-+ results_date=1702371863
-+ assert_with_msg 'Failed to produce results_date' '[' 1702371863 -gt 0 ']'
+++ git -C binutils show --no-patch --pretty=%ct 80ffe7226459e3edf840d0c23462d93cb560d2de
++ cur_d=1702393034
++ '[' x1702371863 '!=' x ']'
++ '[' x1702393034 = x ']'
++ '[' 1702393034 -lt 1702371863 ']'
++ '[' x1702393034 = x ']'
++ '[' 1702393034 -gt 0 ']'
++ results_date=1702393034
++ assert_with_msg 'Failed to produce results_date' '[' 1702393034 -gt 0 ']'
+ set -euf -o pipefail +x
++ get_baseline_manifest '{rr[results_date]}'
++ get_manifest base-artifacts/manifest.sh '{rr[results_date]}' false
++ set +x
-+ base_d=1702318413
-+ '[' 1702318413 '!=' '' ']'
-+ assert '[' 1702371863 -ge 1702318413 ']'
++ base_d=1702345138
++ '[' 1702345138 '!=' '' ']'
++ assert '[' 1702393034 -ge 1702345138 ']'
+ set -euf -o pipefail +x
-+ '[' 1702371863 -gt 1702318413 ']'
-+ results_date=1702345138
-+ rr[results_date]=1702345138
++ '[' 1702393034 -gt 1702345138 ']'
++ results_date=1702369086
++ rr[results_date]=1702369086
+ cat
+ manifest_out
+ cat
++ get_current_manifest '{rr[results_date]}'
++ get_manifest artifacts/manifest.sh '{rr[results_date]}'
++ set +x
-+ results_date=1702345138
-++ date '+%Y-%m-%d %H:%M:%S' --date @1702345138
-+ results_date='2023-12-12 01:38:58'
++ results_date=1702369086
+++ date '+%Y-%m-%d %H:%M:%S' --date @1702369086
++ results_date='2023-12-12 08:18:06'
+ case "$ci_project" in
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/ tcwg_binutils_check master-arm '2023-12-12 01:38:58' artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/540/ tcwg_binutils_check master-arm '2023-12-12 08:18:06' artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/540/
+ local ci_project=tcwg_binutils_check
+ local ci_config=master-arm
-+ local 'results_date=2023-12-12 01:38:58'
++ local 'results_date=2023-12-12 08:18:06'
+ local sumfiles_dir=artifacts/sumfiles
+ local output_file=artifacts/notify/lnt_report.json
+ local -a sumfiles
@@ -1838,22 +897,22 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ local lnt_testsuite=tcwg_binutils_check
+ local machine_name=master-arm
+ local build_number
-++ basename https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/
-+ build_number=539
+++ basename https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/540/
++ build_number=540
+ set +x
-# release_testresults_files
-... Done
+ false
+ true
+ release_testresults_files
+ echo '# release_testresults_files'
+ '[' -d artifacts/jenkins ']'
+# release_testresults_files
+... Done
+ '[' -f artifacts/testresults/testresults-mail-recipients.txt ']'
+ echo '... Done'
+ post_to_jira
+ set -euf -o pipefail
-+ echo '# post_to_jira'
# post_to_jira
++ echo '# post_to_jira'
+ local post_card_comment=false
+ local post_template_comment=false
+ false
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index f2aa6cf..46b81d4 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_5/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -21,22 +21,22 @@
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+ ci_config=master-arm
-# Debug traces :
+ echo '# Debug traces :'
+# Debug traces :
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/538/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/538/'
+# Baseline : https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/'
# Using dir : base-artifacts
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/'
+# Artifacts : https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/540/
# Using dir : artifacts
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/540/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
@@ -77,7 +77,7 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ '[' xdff565fcca8137954d6ad571ef39f6aec5c0429c '!=' xe61ea34e74f1c29f320906c11300697d15b1a1c0 ']'
+++ '[' x80ffe7226459e3edf840d0c23462d93cb560d2de '!=' xdff565fcca8137954d6ad571ef39f6aec5c0429c ']'
++ echo -ne binutils
++ delim=' '
++ echo
@@ -90,17 +90,17 @@
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ first_bad=dff565fcca8137954d6ad571ef39f6aec5c0429c
++ first_bad=80ffe7226459e3edf840d0c23462d93cb560d2de
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ last_good=e61ea34e74f1c29f320906c11300697d15b1a1c0
++ last_good=dff565fcca8137954d6ad571ef39f6aec5c0429c
+ local res
+ res=0
-+ wait 95495
++ wait 94813
+ git -C binutils rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo binutils' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -114,22 +114,22 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=e61ea34e74f1c29f320906c11300697d15b1a1c0
++ base_rev=dff565fcca8137954d6ad571ef39f6aec5c0429c
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ git -C binutils rev-parse 'dff565fcca8137954d6ad571ef39f6aec5c0429c^@'
++ cur_rev=80ffe7226459e3edf840d0c23462d93cb560d2de
+++ git -C binutils rev-parse '80ffe7226459e3edf840d0c23462d93cb560d2de^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' e61ea34e74f1c29f320906c11300697d15b1a1c0 = e61ea34e74f1c29f320906c11300697d15b1a1c0 ']'
-+ return 0
-+ change_kind=single_commit
-+ echo '# Debug traces :'
++ '[' 52e0b52e6f2dc1dc5a7b95740d22fd616241db67 = dff565fcca8137954d6ad571ef39f6aec5c0429c ']'
++ return 1
++ change_kind=single_component
# Debug traces :
-# change_kind=single_commit : binutils
-+ echo '# change_kind=single_commit : binutils'
++ echo '# Debug traces :'
+# change_kind=single_component : binutils
++ echo '# change_kind=single_component : binutils'
+ for c in "${changed_components[@]}"
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
@@ -137,19 +137,19 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=e61ea34e74f1c29f320906c11300697d15b1a1c0
++ base_rev=dff565fcca8137954d6ad571ef39f6aec5c0429c
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ git -C binutils rev-list --count e61ea34e74f1c29f320906c11300697d15b1a1c0..dff565fcca8137954d6ad571ef39f6aec5c0429c
-# rev for binutils : e61ea34e74f1c29f320906c11300697d15b1a1c0..dff565fcca8137954d6ad571ef39f6aec5c0429c (1 commits)
-
-+ c_commits=1
-+ echo '# rev for binutils : e61ea34e74f1c29f320906c11300697d15b1a1c0..dff565fcca8137954d6ad571ef39f6aec5c0429c (1 commits)'
++ cur_rev=80ffe7226459e3edf840d0c23462d93cb560d2de
+++ git -C binutils rev-list --count dff565fcca8137954d6ad571ef39f6aec5c0429c..80ffe7226459e3edf840d0c23462d93cb560d2de
++ c_commits=5
++ echo '# rev for binutils : dff565fcca8137954d6ad571ef39f6aec5c0429c..80ffe7226459e3edf840d0c23462d93cb560d2de (5 commits)'
+ echo ''
+# rev for binutils : dff565fcca8137954d6ad571ef39f6aec5c0429c..80ffe7226459e3edf840d0c23462d93cb560d2de (5 commits)
+
+ setup_stages_to_run
+ '[' ignore = onregression ']'
+ '[' ignore = precommit ']'
@@ -176,264 +176,9 @@
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_commit '!=' single_commit ']'
-+ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ local refopt=
-+ case "$reference" in
-+ local ref_dir
-+ for ref_dir in $url $dir
-++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ for ref_dir in $url $dir
-++ basename interesting-commits .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ git -C interesting-commits status
-+ '[' -d interesting-commits ']'
-+ '[' x '!=' x ']'
-+ '[' -d interesting-commits ']'
-+ rm -f interesting-commits/.git/gc.log
-+ git -C interesting-commits config gc.autoDetach false
-+ git -C interesting-commits gc --auto --force --prune=all
-+ find interesting-commits/.git -name '*.lock' -delete
-+ local i
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits am --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits cherry-pick --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits rebase --abort
-+ true
-+ break
-+ '[' -d interesting-commits ']'
-+ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local remote=origin
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local single_branch=master
-+ git -C interesting-commits remote rm origin
-+ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local refspec
-+ '[' xmaster = x ']'
-+ refspec=+refs/heads/master:refs/remotes/origin/master
-+ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local duration=1h
-+ shift
-+ local tries=3
-+ shift
-+ local n=0
-+ local ret=0
-+ '[' 0 -eq 3 ']'
-timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ ret=0
-+ wait 95575
-+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 0 ']'
-+ break
-+ return 0
-+ git_checkout interesting-commits master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local remote=origin
-+ git_clean interesting-commits
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard
-+ local sha1
-++ git_rev_parse interesting-commits master origin
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ '[' 3 -ge 3 ']'
-++ remote=origin
-++ git_rev_parse_1 interesting-commits master origin --short
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ local opts=--short
-++ local ret
-++ cd interesting-commits
-++ local sha1 try_ref
-++ case "$ref" in
-++ try_ref=refs/remotes/origin/master
-++ ret=0
-+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=a4f84754ff
-++ '[' 0 -ne 0 ']'
-++ echo a4f84754ff
-+ sha1=a4f84754ff
-+ git -C interesting-commits checkout --detach a4f84754ff
-Warning: you are leaving 1 commit behind, not connected to
-any of your branches:
-
- 47d5103b47 Add entry e61ea34e74f1c29f320906c11300697d15b1a1c0 from https://ci.linaro.org/job/tcwg_gdb_build--master-arm-build/517/
-
-If you want to keep it by creating a new branch, this may be a good time
-to do so with:
-
- git branch <new-branch-name> 47d5103b47
-
-HEAD is now at a4f84754ff Add entry a14d247f339454ef9068d24e64eeaeef282fec95 from https://ci.linaro.org/job/tcwg_gcc_check--master-aarch64-build/1335/
-+ false
-+ dryrun='echo DRYRUN: '
-+ local jira_dir jira_key=
-++ interesting_subdir binutils dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ local dir=binutils/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ jira_dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ jira_dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/jira
-+ '[' init = full ']'
-+ true
-+ git -C interesting-commits remote update -p
-Fetching origin
-+ git_clean interesting-commits refs/remotes/origin/master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard refs/remotes/origin/master
-+ update_interesting_commits init ''
-# update_interesting_commits
-+ echo '# update_interesting_commits'
-+ local stage=init
-+ local jira_key=
-+ local subdir3 subdir4 subdir4
-++ interesting_subdir binutils dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ local dir=binutils/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ subdir3=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ interesting_subdir binutils dff565fcca8137954d6ad571ef39f6aec5c0429c tcwg_binutils_check
-++ local dir=binutils/sha1
-++ '[' 3 -ge 2 ']'
-++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ '[' 3 -ge 3 ']'
-++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check
-++ '[' 3 -ge 4 ']'
-++ echo binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check
-+ subdir4=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check
-++ interesting_subdir binutils dff565fcca8137954d6ad571ef39f6aec5c0429c tcwg_binutils_check master-arm
-++ local dir=binutils/sha1
-++ '[' 4 -ge 2 ']'
-++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-++ '[' 4 -ge 3 ']'
-++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check
-++ '[' 4 -ge 4 ']'
-++ dir=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm
-++ echo binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm
-+ subdir5=binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm
-+ local url=
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ url=https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts
-+ '[' -d interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c ']'
-+ mkdir -p interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c
-+ echo https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts
-+ git -C interesting-commits add binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/first_url
-+ mkdir -p interesting-commits/binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm
-+ echo https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/artifact/artifacts
-+ echo e61ea34e74f1c29f320906c11300697d15b1a1c0
-+ git -C interesting-commits add binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/build_url binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/last_good
-+ '[' init '!=' full ']'
++ '[' single_component '!=' single_commit ']'
+ return
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ git -C interesting-commits commit -m 'Add entry dff565fcca8137954d6ad571ef39f6aec5c0429c from https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/'
-[detached HEAD 0428d340b3] Add entry dff565fcca8137954d6ad571ef39f6aec5c0429c from https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/539/
- 3 files changed, 3 insertions(+)
- create mode 100644 binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/first_url
- create mode 100644 binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/build_url
- create mode 100644 binutils/sha1/dff565fcca8137954d6ad571ef39f6aec5c0429c/tcwg_binutils_check/master-arm/last_good
-+ wait 109403
-+ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-+ break
-Init stage ran successfully.
+ '[' init '!=' full ']'
+ echo 'Init stage ran successfully.'
+Init stage ran successfully.
+ exit 0
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index 4972ca0..be60cec 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,4 +1,4 @@
-build_name="#539"
+build_name="#540"
docker_opts=(--distro
default
--arch
@@ -7,7 +7,7 @@ armhf
tcwg-jade-06 )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#539-binutils"
+build_name="#540-binutils"
branch_opt=(==rr\[binutils_git\]
git://sourceware.org/git/binutils-gdb.git#master )
-build_name="#539-binutils-R0"
+build_name="#540-binutils-R0"